org.apache.commons.math3.analysis.interpolation

## Interface MultivariateInterpolator

All Known Implementing Classes:
  MicrosphereInterpolator

    public interface MultivariateInterpolator

Interface representing a univariate real interpolating function.

Since:
  2.1
Version:
  $Id: MultivariateInterpolator.java 1364387 2012-07-22 18:14:11Z tn $

### Method Summary

Methods
`MultivariateFunction` `interpolate(double[][] xval, double[] yval)` Computes an interpolating function for the data set.

### Method Detail

#### interpolate

    MultivariateFunction interpolate(double[][] xval,
                                   double[] yval)

Computes an interpolating function for the data set.

Parameters:
  `xval` - the arguments for the interpolation points. `xval[i][0]` is the first component of interpolation point `i`, `xval[i][1]` is the second component, and so on until `xval[i][d-1]`, the last component of that interpolation point (where `d` is thus the dimension of the space).
  `yval` - the values for the interpolation points
Returns:
  a function which interpolates the data set
Throws:
  `MathIllegalArgumentException` - if the arguments violate assumptions made by the interpolation algorithm.
  `DimensionMismatchException` - when the array dimensions are not consistent.
  `NoDataException` - if an array has zero-length.
  `NullArgumentException` - if the arguments are `null`.